putty
API ReferenceTools

List your signing requests

Returns the caller's signing requests, newest first. Scoped to the owner in the query itself, so the list can never contain another user's row.

GET
/tx

Returns the caller's signing requests, newest first. Scoped to the owner in the query itself, so the list can never contain another user's row.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/tx"
{  "items": [    {      "id": "string",      "ownerId": "string",      "chainSlug": "ethereum",      "unsignedTx": {        "chainId": 0,        "to": "string",        "data": "string",        "value": "string"      },      "summary": [        "string"      ],      "simulation": {        "ok": true,        "balanceChanges": [          {            "token": "string",            "symbol": "string",            "delta": "string"          }        ],        "events": [          "string"        ]      },      "fees": [        {          "label": "string",          "bps": 0        }      ],      "delivery": "dashboard",      "status": "pending",      "txHash": "string",      "dependsOn": "string",      "createdAt": "string",      "expiresAt": "string"    }  ]}